Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.factory
Class TCPIPSocketFactoryExtendedImpl.SocketWithPushbackInputStream

    java.lang.Object
      java.net.Socket
          com.stc.connector.tcpip.model.factory.TCPIPSocketFactoryExtendedImpl.SocketWithPushbackInputStream

Enclosing class:
  TCPIPSocketFactoryExtendedImpl

    public class TCPIPSocketFactoryExtendedImpl.SocketWithPushbackInputStream

extends java.net.Socket

Inner class for special Socket.

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2008/03/03 15:35:59 $
Author:
  Harry Liu (harry.liu@seebeyond.com)

Constructor Summary
`TCPIPSocketFactoryExtendedImpl.SocketWithPushbackInputStream()` Constructor
`TCPIPSocketFactoryExtendedImpl.SocketWithPushbackInputStream(java.net.InetAddress address, int port)` Constructor
`TCPIPSocketFactoryExtendedImpl.SocketWithPushbackInputStream(java.net.InetAddress address, int port, java.net.InetAddress localAddr, int localPort)` Constructor
`TCPIPSocketFactoryExtendedImpl.SocketWithPushbackInputStream(java.lang.String host, int port)` Constructor
`TCPIPSocketFactoryExtendedImpl.SocketWithPushbackInputStream(java.lang.String host, int port, java.net.InetAddress localAddr, int localPort)` Constructor

Method Summary
`java.io.InputStream` | `getInputStream()`

Methods inherited from class java.net.Socket
`bind, close, connect, connect, getChannel, getInetAddress, getKeepAlive, getLocalAddress, getLocalPort, getLocalSocketAddress, getOOBInline, getOutputStream, getPort, getReceiveBufferSize, getRemoteSocketAddress, getReuseAddress, getSendBufferSize, getSoLinger, getSoTimeout, getTcpNoDelay, getTrafficClass, isBound, isClosed, isConnected, isInputShutdown, isOutputShutdown, sendUrgentData, setKeepAlive, setOOBInline, setPerformancePreferences, setReceiveBufferSize, setReuseAddress, setSendBufferSize, setSocketImplFactory, setSoLinger, setSoTimeout, setTcpNoDelay, setTrafficClass, shutdownInput, shutdownOutput, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TCPIPSocketFactoryExtendedImpl.SocketWithPushbackInputStream

    public TCPIPSocketFactoryExtendedImpl.SocketWithPushbackInputStream()

  Constructor

### TCPIPSocketFactoryExtendedImpl.SocketWithPushbackInputStream

    public TCPIPSocketFactoryExtendedImpl.SocketWithPushbackInputStream(java.lang.String host,
                                                                        int port)
                                                                 throws java.net.UnknownHostException,
                                                                        java.io.IOException

  Constructor

  Parameters:
    `host` -
    `port` -
  Throws:
    `java.net.UnknownHostException`
    `java.io.IOException`

### TCPIPSocketFactoryExtendedImpl.SocketWithPushbackInputStream

    public TCPIPSocketFactoryExtendedImpl.SocketWithPushbackInputStream(java.net.InetAddress address,
                                                                        int port)
                                                                 throws java.io.IOException

  Constructor

  Parameters:
    `address` -
    `port` -
  Throws:
    `java.io.IOException`

### TCPIPSocketFactoryExtendedImpl.SocketWithPushbackInputStream

    public TCPIPSocketFactoryExtendedImpl.SocketWithPushbackInputStream(java.lang.String host,
                                                                        int port,
                                                                        java.net.InetAddress localAddr,
                                                                        int localPort)
                                                                 throws java.io.IOException

  Constructor

  Parameters:
    `host` -
    `port` -
    `localAddr` -
    `localPort` -
  Throws:
    `java.io.IOException`

### TCPIPSocketFactoryExtendedImpl.SocketWithPushbackInputStream

    public TCPIPSocketFactoryExtendedImpl.SocketWithPushbackInputStream(java.net.InetAddress address,
                                                                        int port,
                                                                        java.net.InetAddress localAddr,
                                                                        int localPort)
                                                                 throws java.io.IOException

  Constructor

  Parameters:
    `address` -
    `port` -
    `localAddr` -
    `localPort` -
  Throws:
    `java.io.IOException`

Method Detail

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Overrides:
    `getInputStream` in class `java.net.Socket`
  Throws:
    `java.io.IOException`
  See Also:
    `Socket.getInputStream()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD